version: '3'
services:
  mongo:
    container_name: mongo
    image: mongo:4.4.13-rc0
    ports:
      - '27017:27017'
    volumes:
      - mongodb:/.local/db/data/db
  # app:
  #   container_name: node-mongo-app-test
  #   restart: always
  #   build:
  #     context: ./app/server
  #     dockerfile: Dockerfile.test
  #   ports:
  #     - '80:3000'
  #   links:
  #     - mongo
  #   environment:
  #     - PORT=3002
  #     - MONGODB_URL=mongodb://mongo:27017/test
  #     - JWT_SECRET=test
volumes:
  mongodb:

#docker build --file "./app/server/Dockerfile" --tag "${CI_REGISTRY_IMAGE}:${CI_PIPELINE_IID}-${CI_COMMIT_SHORT_SHA}"
